Name:           ivtv
Version:        0.9.1
Release:        1%{?dist}
Summary:        Kernel module for ivtv

Group:          System Environment/Kernel
License:        GPL
URL:            http://ivtvdriver.org
Source0:        http://dl.ivtvdriver.org/ivtv/archive/0.9.x/ivtv-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:       ivtv-kmod-common = %{version}
Requires:       ivtv-kmod >= %{version}

BuildRequires:  kernel-headers

Requires: perl-Video-ivtv, perl-Video-Frequencies
#Requires: ivtv-firmwares
#Requires: ivtv-firmware-dec >= 2.02.023
#Requires: ivtv-firmware-enc >= 2.04.024
#Requires: ivtv-firmware-audio

%description
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

%package devel
Summary: The %{name} kernel header files
Group: Development/System

%description devel
The %{name} kernel headers are used for accessing the kernel modules' API.


%prep
%setup -q
install -m 0644 test/README README.test


%build
make -C utils INCDIR=%{_includedir}
make -C test INCDIR=%{_includedir}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ivtv/
#mkdir -p $RPM_BUILD_ROOT/lib/modules
mkdir -p $RPM_BUILD_ROOT/lib/firmware
make -C utils INCDIR=%{_includedir} DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} install
install -p utils/*.pl $RPM_BUILD_ROOT%{_datadir}/ivtv
install -m 0755 test/vbi test/wss test/vbi-passthrough test/vbi-detect \
    test/ivtv-pcm-tester $RPM_BUILD_ROOT%{_bindir}
ln -s ivtv-radio $RPM_BUILD_ROOT%{_bindir}/radio-ivtv
install -p -m 0644 v4l-cx2341x-init.mpg $RPM_BUILD_ROOT/lib/firmware/v4l-cx2341x-init.mpg
#ln -s ../firmware/v4l-cx2341x-init.mpg $RPM_BUILD_ROOT/lib/module/v4l-cx2341x-init.mpg

cat > ivtv.modprobe <<EOF
# ivtv modules setup
alias char-major-81 videodev
alias char-major-81-0 ivtv

# This may used if multiple ivtv cards tuner='card1','card2' where -1 is autodetected
#alias char-major-81-1 ivtv
#options ivtv tuner=-1,2

#If you use also a bttv card on the same system
#alias char-major-81-1 bttv
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
install -D -p -m 0644 ivtv.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/ivtv

cat > ivtv.INSTALL-firmware <<EOF
#!/bin/bash
##
## kwizart script to install ivtv firmware semi-manually
## more up2date info may be found here :
## http://ivtvdriver.org/index.php/Firmware 
## You can re-use and/or improve this script 
##
tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}
unset CDPATH
pwd=$(pwd)
CVS=$(date +%Y%m%d)

pushd "$tmp"
wget "ftp://ftp.hauppauge.com/Support/PVR150/060915%20amity2%202.0.48.24258%20(vista%20whql%20signed).zip" > /dev/null
unzip "060915 amity2 2.0.48.24258 (vista whql signed).zip" > /dev/null
pushd "060915 Amity2 2.0.48.24258 (Vista WHQL Signed)/DriverA2"
cp HcwMakoC.ROM /lib/firmware/v4l-cx25840.fw
cp HcwFalcn.rom /lib/firmware/v4l-cx2341x-enc.fw 
popd
wget "ftp://ftp.shspvr.com/download/wintv-pvr_250-350/inf/pvr_1.18.21.22254_inf.zip" 
unzip "pvr_1.18.21.22254_inf.zip"
perl /usr/share/ivtv/ivtvfwextract.pl --no-split pvr_1.18.21.22254_inf.zip ivtv-fw-enc.bin ivtv-fw-dec.bin
rm ivtv-fw-enc.bin
mv ivtv-fw-dec.bin /lib/firmware/v4l-cx2341x-dec.fw
echo "#ivtv firmware extracted with wget the $CVS \n" > README.FIRMWARE.ivtv
mv README.FIRMWARE.ivtv /lib/firmware
popd >/dev/null
EOF

install -m 0755 ivtv.INSTALL-firmware $RPM_BUILD_ROOT%{_datadir}/ivtv

%clean
rm -rf $RPM_BUILD_ROOT

#%post
#if [ $1 -eq 1 ]; then
# Try to start the firmware download script... (testing!)
#    sh /usr/share/ivtv/ivtv.INSTALL-firmware
#
#fi

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%doc doc/fw-readme.txt  doc/README.devices  doc/README.ivtvfb  doc/README.radio  
%doc doc/README.vbi doc/modules.txt doc/README.install doc/README.lirc doc/README.utils
%doc doc/video-quality.txt README.test
%config(noreplace) %{_sysconfdir}/modprobe.d/ivtv
/lib/firmware/v4l-cx2341x-init.mpg
#/lib/modules/v4l-cx2341x-init.mpg
%{_bindir}/cx25840ctl
%{_bindir}/ivtv*
%{_bindir}/radio-ivtv
%{_bindir}/v4l2-ctl
%{_bindir}/vbi*
%{_bindir}/wss
%{_datadir}/ivtv/ivtv.INSTALL-firmware
%{_datadir}/ivtv/ivtvfwextract.pl

%files devel
%defattr(-,root,root,-)
%doc misc/*
%{_includedir}/linux/ivtv.h


%changelog
* Sat Jan 13 2007 kwizart < kwizart at gmail.com > - 0.9.1-1
- Update to 0.9.1 for kernel 2.6.19
- Requires firmwares

* Sat Jan 06 2007 kwizart < kwizart at gmail.com > - 0.8.2-1
- Initial Release.
